/* Copyright (C) 2016-2019 Greenbone Networks GmbH
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 */

import React from 'react';

import PropTypes from 'web/utils/proptypes';

import TrendUpIcon from 'web/components/icon/trendupicon';
import TrendDownIcon from 'web/components/icon/trenddownicon';
import TrendMoreIcon from 'web/components/icon/trendmoreicon';
import TrendLessIcon from 'web/components/icon/trendlessicon';
import TrendNoChangeIcon from 'web/components/icon/trendnochangeicon';

const Trend = ({name}) => {
  let title;
  let IconComponent;

  if (name === 'up') {
    title = 'Severity increased';
    IconComponent = TrendUpIcon;
  } else if (name === 'down') {
    title = 'Severity decreased';
    IconComponent = TrendDownIcon;
  } else if (name === 'more') {
    title = 'Vulnerability count increased';
    IconComponent = TrendMoreIcon;
  } else if (name === 'less') {
    title = 'Vulnerability count decreased';
    IconComponent = TrendLessIcon;
  } else if (name === 'same') {
    title = 'Vulnerabilities did not change';
    IconComponent = TrendNoChangeIcon;
  } else {
    return <span />;
  }

  return <IconComponent size="small" alt={title} title={title} />;
};

Trend.propTypes = {
  name: PropTypes.string,
};

export default Trend;

// vim: set ts=2 sw=2 tw=80:
